Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.api.event.comment
Interface CommentListener

All Known Implementing Classes:
  AbstractEmailNotificationListener, AuditListener, BlogEntryResponseListenerSupport, CommentListenerSupport, ContentSpamListener, DeleteRejectedListener, DisableResponseListener, EmailAuthorNotificationListener, EmailNotificationListener, IpAddressListener, LinkSpamListener, MarkApprovedListener, MarkApprovedWhenAuthenticatedListener, MarkPendingListener, ResponseIndexListener, ResponseManager, SpamScoreListener

    public interface CommentListener

Implemented by classes wanting to be notified of comment events.

Author:
  Simon Brown

Method Summary
`void` | `commentAdded(CommentEvent event)` Called when a comment has been added.
`void` | `commentApproved(CommentEvent event)` Called when a comment has been approved.
`void` | `commentRejected(CommentEvent event)` Called when a comment has been rejected.
`void` | `commentRemoved(CommentEvent event)` Called when a comment has been removed.

Method Detail

### commentAdded

    void commentAdded(CommentEvent event)

  Called when a comment has been added.

  Parameters:
    `event` - a CommentEvent instance

### commentRemoved

    void commentRemoved(CommentEvent event)

  Called when a comment has been removed.

  Parameters:
    `event` - a CommentEvent instance

### commentApproved

    void commentApproved(CommentEvent event)

  Called when a comment has been approved.

  Parameters:
    `event` - a CommentEvent instance

### commentRejected

    void commentRejected(CommentEvent event)

  Called when a comment has been rejected.

  Parameters:
    `event` - a CommentEvent instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.